Subject: Re: [PATCH] defer expensive load_ref_decorations until needed

From: Junio C Hamano <[email-masked]>
Date: Thu, 23 Nov 2017 11:19:42 +0900

Jeff King <[email-masked]> writes:

> And lazy-load wouldn't help you there for a normal:
>
>   git log
>
> But what's interesting in your command is the pretty-format. Even though
> decoration is turned on, your format doesn't show any. So we never
> actually ask "is this commit decorated" and the lazy-load helps.

Hmph, I wonder if we can detect this case and not make a call to
load decorations in the first place.  That would remove the need to
remember the options when load is called so that we can use it when
we load decorations lazily later.